Skip to main content
POST
/
api
/
v1
/
apps
/
{app_id}
/
revisions
/
{revision_id}
/
redeploy
Redeploy app from a specific revision
curl --request POST \
  --url https://cloud-api.phala.com/api/v1/apps/{app_id}/revisions/{revision_id}/redeploy \
  --header 'Content-Type: application/json' \
  --data '
{
  "vm_uuids": [
    "<string>"
  ]
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Path Parameters

app_id
string
required

Hex app identifier

revision_id
string
required

Query Parameters

transaction_hash
string | null

Optional transaction hash proving on-chain compose hash registration

Body

application/json

Optional target CVM selection. If the app has multiple CVMs, you must specify vm_uuids.

vm_uuids
string[] | null

Response

Activation initiated